# Class ProgressEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.browser.ProgressEvent

All Implemented Interfaces:
  `Serializable`

public class ProgressEvent extends TypedEvent
A `ProgressEvent` is sent by a `Browser` to `ProgressListener`'s when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.

Since:
  3.0
See Also:
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`current`
current value
`int`
`total`
total value

### Fields inherited from class TypedEvent

`data, display, time, widget`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ProgressEvent(Widget widget)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### current

public int current
current value

### total

public int total
total value

## Constructor Details

### ProgressEvent

public ProgressEvent(Widget widget)
Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event
Since:
  3.5

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `TypedEvent`
Returns:
  a string representation of the event